Skip to main content
POST
Cancel payable

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

payable_id
string<uuid>
required

Response

Successful Response

Represents an Accounts Payable document received from a vendor or supplier.

id
string<uuid>
required

A unique ID assigned to this payable.

Example:

"8940c6f2-0614-4284-8260-64c8fe1c820d"

created_at
string<date-time>
required

UTC date and time when this payable was created. Timestamps follow the ISO 8601 format.

Example:

"2023-06-01T09:15:00+00:00"

updated_at
string<date-time>
required

UTC date and time when this payable was last updated. Timestamps follow the ISO 8601 format.

Example:

"2024-01-16T09:15:00+00:00"

credit_notes
object[]
required

The list of linked credit notes of the payable.

Example:
entity_id
string<uuid>
required

The ID of the entity to which the payable was issued.

Example:

"31c5d948-45a9-410d-b663-e6c5bff208d0"

payable_origin
enum<string>
required

Specifies how this payable was created in Monite: upload - created via an API call, email - sent via email to the entity's mailbox.

Available options:
upload,
email
Example:

"upload"

source_of_payable_data
enum<string>
required

Specifies how the property values of this payable were provided: ocr - Monite OCR service extracted the values from the provided PDF or image file, user_specified - values were added or updated via an API call.

Available options:
ocr,
user_specified
Example:

"ocr"

status
enum<string>
required

The status of the payable.

Available options:
draft,
new,
approve_in_progress,
waiting_to_be_paid,
partially_paid,
paid,
canceled,
rejected
Example:

"paid"

amount_due
integer | null

How much is left to be paid on the invoice (in minor units).

Example:

0

amount_paid
integer | null

How much was paid on the invoice (in minor units).

Example:

1350

amount_to_pay
integer | null

How much is left to be paid on the invoice (in minor units) with discounts from payment terms.

Example:

0

approval_policy_id
string<uuid> | null

Id of existing approval policy that applies to this payable, if any. A policy is applied if the payable matches the policy trigger conditions.

Example:

"acca576b-8592-43dd-8640-4f666833bf8d"

counterpart
object | null

Object representing de-normalized counterpart data. Filled at the moment of invoice submitting for approval or payment.

Example:
counterpart_address_id
string<uuid> | null

The ID of counterpart address object stored in counterparts service

Example:

"8ecb94a4-d4f3-46a2-ad52-d873810d78a6"

counterpart_bank_account_id
string<uuid> | null

The ID of counterpart bank account object stored in counterparts service

Example:

"dc626f45-e9f7-4c97-a1cd-1de279c934c6"

counterpart_id
string<uuid> | null

The ID of the counterpart object that represents the vendor or supplier.

Example:

"20efb53b-c3ef-4f55-977f-9a0ad6453b43"

counterpart_raw_data
object | null

Object representing counterpart data which was extracted by OCR. Used for informational purposes.

Example:
counterpart_vat_id_id
string<uuid> | null

The ID of counterpart VAT ID object stored in counterparts service

Example:

"a0b8cf93-6b7f-4ea2-8f09-8d8ac2c5e3f2"

currency
enum<string> | null

The currency code of the currency used in the payable.

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
SVC,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW
Example:

"USD"

currency_exchange
object | null
Example:
description
string | null

An arbitrary description of this payable.

Example:

"Office supplies for Q3"

discount
integer | null

The discount stated on the document. This is informational only: total_amount is expected to already reflect it, and the API never applies or subtracts it separately. in minor units. For example, $12.50 is represented as 1250.

Example:

150

document_id
string | null

A unique invoice number assigned by the invoice issuer for payment tracking purposes. This is different from id which is an internal ID created automatically by Monite.

Example:

"INV-2287"

due_date
string<date> | null

The date by which the payable must be paid, in the YYYY-MM-DD format. If the payable specifies payment terms with early payment discounts, this is the final payment date.

Example:

"2023-07-01"

duplicates
object[]

Suspected and reviewed duplicates of this payable. Both payables of a matched pair see the same match. Ordered: suspected first, then confirmed, then dismissed, newest first within each group. At most 100 entries are returned.

Example:
enforce_approval_policy_id
string<uuid> | null

Id of an existing approval policy that should be enforced when submitting the payable for approval.If this field is set, no other policies will be evaluated via their triggers - the specified policy will always be applied instead.

Example:

"acca576b-8592-43dd-8640-4f666833bf8d"

file
object | null

The original file from which this payable was created.

Example:
file_id
string<uuid> | null

File id to retrieve the stored file info.

Example:

"0b78b85c-bb5a-42e2-994b-509abb733def"

issued_at
string<date> | null

The date when the payable was issued, in the YYYY-MM-DD format.

Example:

"2023-06-01"

marked_as_paid_by_entity_user_id
string<uuid> | null

The ID of the entity user who marked this document as paid.

Example:

"71e8875a-43b3-434f-b12a-54c84c176ef3"

marked_as_paid_with_comment
string | null

An arbitrary comment that describes how and when this payable was paid.

Example:

"Was paid partly in the end of the month."

ocr_request_id
string<uuid> | null

Id of OCR request to match asynchronous result of processing payable.

Example:

"064f8e30-ac0d-4820-a1b5-33398aaafcff"

ocr_status
enum<string> | null

The status of the data recognition process using OCR. The 'processing' status means that the data recognition is in progress and the user needs to wait for the data enrichment. The 'error' status indicates that some error occurred on the OCR side and the user can fill in the data manually. The 'success' status means the data recognition has been successfully completed, after which the user can check the data if desired and enrich or correct it.

Available options:
processing,
error,
success,
canceled
Example:

"success"

other_extracted_data
object

Data extracted from the uploaded payable by OCR.

Example:
paid_at
string<date-time> | null

The date by which the payable was paid

Example:

"2023-06-15T10:32:00+00:00"

partner_metadata
object | null

Metadata for partner needs

Example:
payment_terms
object | null

The number of days to pay with potential discount for options shorter than due_date

Example:
project_id
string<uuid> | null

Project id of a payable.

Example:

"d480fc79-1c87-4d45-ae1a-14855e010341"

purchase_order_id
string<uuid> | null

The identifier of the purchase order to which this payable belongs.

Example:

"689e9a1f-a357-4e53-8b6c-a2259b56714e"

purchase_order_number
string | null

The PO number as it appears on the document - not validated against, or linked to, any purchase order record. See purchase_order_id for that.

Maximum string length: 255
Example:

"PO-2024-001"

scheduled_payment_date
string<date> | null

The date of this payable's earliest live scheduled payment, in the YYYY-MM-DD format, or null if it has none. This is the value sort=scheduled_payment_date orders by; payables with no live scheduled payment sort last in ascending order and first in descending order.

Example:

null

sender
string<email> | null

The email address from which the invoice was sent to the entity.

Example:

"hello@example.com"

subtotal
integer | null

The subtotal amount to be paid, in minor units. For example, $12.50 is represented as 1250.

Example:

1250

suggested_payment_term
object | null

The suggested date and corresponding discount in which payable could be paid. The date is in the YYYY-MM-DD format. The discount is calculated as X * (10^-4) - for example, 100 is 1%, 25 is 0,25%, 10000 is 100 %. Date varies depending on the payment terms and may even be equal to the due date with discount 0.

Example:
tags
object[] | null

A list of user-defined tags (labels) assigned to this payable. Tags can be used to trigger a specific approval policy for this payable.

Example:
tax
integer | null

Registered tax percentage applied for a service price in minor units, e.g. 200 means 2%, 1050 means 10.5%.

Example:

2000

tax_amount
integer | null

Tax amount in minor units. For example, $12.50 is represented as 1250.

Example:

250

total_amount
integer | null

The total amount to be paid, in minor units. For example, $12.50 is represented as 1250.

Example:

1350

total_amount_with_credit_notes
integer | null

The total price of the payable in minor units, excluding all issued credit notes.

Example:

1350

was_created_by_user_id
string<uuid> | null
Example:

"2ec8f1a3-60ca-48e0-a5f9-a38e683e3bf8"